Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000474Frama-CDocumentationpublic2010-05-10 16:442016-06-21 14:24
Reporterploc 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Boron-20100401 
Target VersionFixed in VersionFrama-C Carbon-20101201-beta1 
Summary0000474: Multiple definition of function iter_stmt
DescriptionMultiple definition of the function iter_stmt appear in the generated ocaml doc

val iter_stmt : (Project.Computation.t ->
        Db_types.rooted_code_annotation Db_types.before_after -> unit) ->
       Cil_types.stmt -> unit

Iterator on each bindings of the given statement.
Since Boron-20100401

and later

val iter_stmt : (Project.Computation.t ->
        Db_types.rooted_code_annotation Db_types.before_after -> unit) ->
       Cil_types.stmt -> unit

Iterator on each bindings associated to the given statement
Since Boron-20100401

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000824)
signoles (manager)
2010-05-11 09:31

Well spotted!
Will be fixed in the next release.

- Issue History
Date Modified Username Field Change
2010-05-10 16:44 ploc New Issue
2010-05-10 16:44 ploc Status new => assigned
2010-05-10 16:44 ploc Assigned To => signoles
2010-05-11 09:31 signoles Note Added: 0000824
2010-05-11 09:31 signoles Status assigned => resolved
2010-05-11 09:31 signoles Fixed in Version => Frama-C Carbon
2010-05-11 09:31 signoles Resolution open => fixed
2010-05-11 09:33 svn Checkin
2010-12-17 19:36 signoles Status resolved => closed
2016-06-21 14:11 signoles Category Documentation => Documentation > ACSL
2016-06-21 14:24 signoles Category Documentation > ACSL => Documentation


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker